Subject: bug#3735: bug#18135: bug#3735: shell-mode editing, movement, and command entry broken by prompt/output changes

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 07 Dec 2021 21:16:43 +0100

<[email-masked]> writes:

> Yeah I thought about that too. However, commands such as 'yank' or
> 'just-one-space' use insert rather than insert-and-inherit and thus
> always bypass inheritance of surrounding text properties regardless of
> it's stickiness. That is why I settled for using the
> 'insert-in-front-hooks' text property, patch attached.

Thanks; works well here, too, so I've pushed this to Emacs 29 now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no